BugTraq
[ MDVSA-2014:239 ] flac Dec 14 2014 01:24PM
security mandriva com
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

_______________________________________________________________________

Mandriva Linux Security Advisory MDVSA-2014:239
http://www.mandriva.com/en/support/security/
_______________________________________________________________________

Package : flac
Date : December 14, 2014
Affected: Business Server 1.0
_______________________________________________________________________

Problem Description:

Updated flac packages fix security vulnerabilities:

In libFLAC before 1.3.1, a stack overflow (CVE-2014-8962) and a heap
overflow (CVE-2014-9028), which may result in arbitrary code execution,
can be triggered by passing a maliciously crafted .flac file to the
libFLAC decoder.
_______________________________________________________________________

References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-8962
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-9028
http://advisories.mageia.org/MGASA-2014-0499.html
_______________________________________________________________________

Updated Packages:

Mandriva Business Server 1/X86_64:
095093698f9ed193d02002d59078d05e mbs1/x86_64/flac-1.2.1-11.1.mbs1.x86_64.rpm
cf50af48c78f16041186465d716485c6 mbs1/x86_64/lib64flac++6-1.2.1-11.1.mbs1.x86_64.rpm
dee1a35ae14ab3a8ff9041b7fc375431 mbs1/x86_64/lib64flac8-1.2.1-11.1.mbs1.x86_64.rpm
778b65f31798ab9e3b76b7c7e1d605e8 mbs1/x86_64/lib64flac-devel-1.2.1-11.1.mbs1.x86_64.rpm
878e460f88fc63067e562105785ea692 mbs1/x86_64/lib64flac++-devel-1.2.1-11.1.mbs1.x86_64.rpm
2844db9070005943ff43d1ecd95f8692 mbs1/SRPMS/flac-1.2.1-11.1.mbs1.src.rpm
_______________________________________________________________________

To upgrade automatically use MandrivaUpdate or urpmi. The verification
of md5 checksums and GPG signatures is performed automatically for you.

All packages are signed by Mandriva for security. You can obtain the
GPG public key of the Mandriva Security Team by executing:

gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/en/support/security/advisories/

If you want to report vulnerabilities, please contact

security_(at)_mandriva.com
_______________________________________________________________________

Type Bits/KeyID Date User ID
pub 1024D/22458A98 2000-07-10 Mandriva Security Team
<security*mandriva.com>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFUjYFYmqjQ0CJFipgRAp45AKCM40U7s+qHDIc58O1MojNhcsI23QCfYvzI
oCarl/9ngNSd6PAMLMygJHc=
=I/w7
-----END PGP SIGNATURE-----

[ reply ]


 

Privacy Statement
Copyright 2010, SecurityFocus